Page MenuHomePhabricator

Newcomer tasks: investigate task suggestion frequency on the targeted wikis
Closed, ResolvedPublic

Description

This task to find the number of occurrences concerning various maintenance tasks and suggestions on the wikis we target. Via the subtasks of this tasks, the Growth ambassadors have created this spreadsheet listing the all the maintenance templates in their wikis. That spreadsheet will be our definitive list.


This is the original content of this task, and initial analysis, before the ambassadors made the more thorough spreadsheet.

I've tried to find categories on the different wikis where articles needing cleanup were listed. It is really rare. It is probable that I may have missed some since categories are not that much linked to Wikidata.

A template like Globalize can lead to multiple options:

  • the template don't categorize the articles (case of Arabic Wikipedia, where there is just a template)
  • the template categorizes the articles in a monthly category (English Wikipedia)
  • the template categorizes the articles in a global category (French Wikipedia)

You can find multiple template categorizing in the same category. Sometimes, the template and the category are not linked. For instance on Arabic Wikipedia about adding coordinates to articles : template, category.

Some wikis have a combination of a full list and a monthly curated list (Orphan articles on fr.wp: monthly list & full list).

We can find more data about those templates if a maintenance category is created. I can't do it, because it is about editing; we need to work with the communities about it.

Samples

Concerning categories, Arabic Wikipedia clearly has a plus compared to other wikis. But there is not that much maintenance categories.

arcskovi
Articles lacking sources113,141-14,102-
Article needing coordinates686---
Uncategorized pages478---
Illustrate3---

If we rely on the number of inclusions of the templates (using Template count), we can have more possibilities. The following table is based on maintenance tasks curated by French Wikipedia. It is the only wiki I'm aware of where maintenance tasks have been listed by difficulty. I picked the first level of tasks that they suggest to beginners:

arcskovi
Copy edit484372-4,733
Image requested108334226
Unreferenced113,2258,55213,3974,379
Lead revrite17-0-
Wikify028-1,876
Review translation615-1041,209
Article needing coordinates0--713
Orphan page375,083-421,632

A dash means that I haven't found a matching template.

Event Timeline

Trizek-WMF triaged this task as Medium priority.Jul 31 2019, 2:51 PM
Trizek-WMF created this task.
Trizek-WMF updated the task description. (Show Details)Jul 31 2019, 2:57 PM
Trizek-WMF updated the task description. (Show Details)Jul 31 2019, 6:04 PM

Orphaned pages are tracked by Special:OrphanedPages on all wikis, see an example for cswiki.

Orphaned pages are tracked by Special:OrphanedPages on all wikis, see an example for cswiki.

It is an option, but only maximum of 5,000 results are available in the cache. Categories (or queries) cover more than that.

MMiller_WMF updated the task description. (Show Details)Aug 10 2019, 12:07 AM
MMiller_WMF removed Trizek-WMF as the assignee of this task.EditedAug 10 2019, 12:11 AM

Now that the ambassadors have created the spreadsheet listing their wiki's maintenance templates, we want to know how many articles are tagged with each one. I'm moving this to Ready for Development because it may be easiest for an engineer to query this from the database. The outcome we have in mind is a a column in each tab of the spreadsheet counting how many articles have each template.

This is important because we want to start deciding which (if any) of the maintenance templates we can rely on to have sufficient volume such that we can use them for recommendations on our target wikis. It's likely that most of them have very few articles tagged, and so we want to know which ones to focus on. We also want to see if those sets are relatively consistent from wiki to wiki.

One complication is that the templates are frequently associated with a related category that the template adds, but not always. Therefore, I think we should be counting the templates, not the categories.

Preliminary data, I'll review then add to the spreadsheet:

{
    "Template:중립 필요": "0",
    "Template:이해당사자": "263",
    "Template:사실 여부 의심": "0",
    "Template:독자 연구": "0",
    "Template:모호한 글": "0",
    "Template:출처 필요": "0",
    "Template:각주 부족": "0",
    "Template:과도한 인용": "0",
    "Template:단일 출처": "0",
    "Template:문서 등재 기준": "0",
    "Template:저작권 의심": "0",
    "Template:1차 자료": "0",
    "Template:시간모호": "0",
    "Template:광고": "9",
    "Template:번역 직후": "0",
    "Template:구독 필요": "0",
    "Template:등록 필요": "0",
    "Template:개인 출판": "0",
    "Template:어조": "9",
    "Template:기계 번역": "0",
    "Template:번역 정리 필요": "0",
    "Template:번역 중": "0",
    "Template:번역 필요": "0",
    "Template:병합 출발지": "0",
    "Template:병합 도착지": "0",
    "Template:병합 필요": "0",
    "Template:분할 필요": "0",
    "Template:세계화": "444",
    "Template:낡음": "277",
    "Template:불확실": "1668",
    "Template:위키낱말사전으로 이동 필요": "0",
    "Template:위키문헌으로 이동 필요": "0",
    "Template:위키생물종으로 이동 필요": "0",
    "Template:위키인용집으로 이동 필요": "0",
    "Template:위키책으로 이동 필요": "0",
    "Template:무단 복사": "0",
    "Template:정리 필요": "0",
    "Template:외부 링크": "0",
    "Template:문단 필요": "0",
    "Template:도입부 요약 필요": "0",
    "Template:도입부 정리 필요": "0",
    "Template:최근에 죽은 사람": "0",
    "Template:최신": "11",
    "Template:사진 필요": "0",
    "Template:빈 문단": "0",
    "Template:전문가 필요": "0"
}

(the numbers in template:... correspond to the count while the Arabic text is the name, copy/paste from my terminal resulted in this -- will clean up later)

{
    "Template:مقالة_غير_مراجعة": "20547",
    "Template:مصدر": "113549",
    "Template:تدقيق_لغوي": "474",
    "Template:إعادة_كتابة": "667",
    "Template:دمج": "346",
    "Template:بدون_نص_نثري": "1",
    "Template:نهاية_مسدودة": "1824",
    "Template:ترجمة_آلية": "610",
    "Template:تعظيم": "437",
    "Template:تصنيف:قوالب أسلوب": "0",
    "Template:تنسيق": "201",
    "Template:طويلة_جدا": "6",
    "Template:نثر": "6",
    "Template:وصلات_حمراء": "19",
    "Template:وصلات_خارجية": "27",
    "Template:تصنيف:قوالب محتوى": "0",
    "Template:إعادة كتابة": "0",
    "Template:إعادة كتابة مقدمة": "0",
    "Template:بدون مقدمة": "0",
    "Template:بدون نص نثري": "0",
    "Template:بذرة غير مصنفة": "0",
    "Template:تحديث": "699",
    "Template:تحرر": "4",
    "Template:تحيز": "248",
    "Template:تدقيق سيرة": "0",
    "Template:تدقيق علمي": "0",
    "Template:ترجمة آلية": "0",
    "Template:تعارض مصالح": "0",
    "Template:توافه": "5",
    "Template:توسيع": "135",
    "Template:خرق": "2",
    "Template:دمج إلى": "0",
    "Template:دمج من": "0",
    "Template:سياق": "9",
    "Template:سياق محلي": "0",
    "Template:سيرة شخصية غير موثقة": "0",
    "Template:غير مصنفة": "0",
    "Template:لا علاقة بالمقال": "0",
    "Template:مربكة": "13",
    "Template:مصادر أكثر": "0",
    "Template:مقالة غير مراجعة": "0",
    "Template:مقدمة طويلة": "0",
    "Template:مقدمة قصيرة": "0",
    "Template:ملحوظية": "420",
    "Template:ملحوظية كتاب": "0",
    "Template:موضوع اختصاصي": "0",
    "Template:هوامش": "148",
    "Template:هوامش_مقطع": "10",
    "Template:وجهة نظر معجب": "0",
    "Template:يتيمة": "374917",
    "Template:وفاة_حديثة": "21",
    "Template:كوائف": "0",
    "Template:ليست": "3",
    "Template:مجلة": "3",
    "Template:تصنيف:قوالب ترجمة ويكيبيديا": "0",
    "Template:ترجمة": "856",
    "Template:في ترجمة": "0",
    "Template:كلمة_بكلمة": "1",
    "Template:تصنيف:قوالب الحياد": "0",
    "Template:تحيز عنوان": "0",
    "Template:مقطع_منحاز": "53",
    "Template:دعاية": "6",
    "Template:مبهم": "1",
    "Template:مراوغة": "4",
    "Template:من من": "0",
    "Template:من؟": "83",
    "Template:بحاجة_لمصدر": "6247",
    "Template:مصدر_ناقص": "28",
    "Template:تأكيد_مصدر": "118",
    "Template:تأكيد_رأي": "180",
    "Template:مصادر_أولية": "57",
    "Template:دقة": "109",
    "Template:عبارة_مبهمة": "12",
    "Template:كذب": "1",
    "Template:صورة_مخالفة": "0",
    "Template:صحة_صورة": "0"
}
{
    "Template:Aktualizovat": "1370",
    "Template:Aktualizovat po": "0",
    "Template:Celkově zpochybněno": "0",
    "Template:Globalizovat": "327",
    "Template:Kapitoly": "9",
    "Template:Kategorizovat": "41",
    "Template:Neověřeno": "8528",
    "Template:NPOV": "247",
    "Template:Popsat obrázky": "0",
    "Template:Pravopis": "365",
    "Template:Přesnost": "178",
    "Template:Převést seznam na kategorii": "0",
    "Template:Upravit reference": "0",
    "Template:Reklama": "278",
    "Template:Sloh": "347",
    "Template:Transkripce": "334",
    "Template:Vlastní výzkum": "0",
    "Template:Wikifikovat": "24",
    "Template:Upravit": "10069",
    "Template:Zaplnit kategorii": "0",
    "Template:Zastaralá kategorie": "0",
    "Template:Seřadit kategorii": "0",
    "Template:Doplňte zdroj": "0",
    "Template:Fakt": "11",
    "Template:Není ve zdroje": "0",
    "Template:Nedostupný zdroj": "0",
    "Template:Upravit externí odkazy": "0",
    "Template:Čí?": "10",
    "Template:Jakou?": "1",
    "Template:Jaký?": "15",
    "Template:Kde?": "90",
    "Template:Kdo?": "382",
    "Template:Kdy?": "1231",
    "Template:Která?": "1",
    "Template:Které?": "3",
    "Template:Kterým?": "0",
    "Template:Který?": "14",
    "Template:Kým?": "112",
    "Template:Chybí jednotka": "0",
    "Template:Nejisté datum": "0",
    "Template:Nepřesný odkaz": "0",
    "Template:Ujasnit": "105",
    "Template:Subpahýl": "14",
    "Template:Přeložit": "2",
    "Template:Urgentně upravit": "0",
    "Template:Urgentně ověřit": "0",
    "Template:Významnost": "39"
}

I've updated the spreadsheet with frequency. Below is the raw data. Something to consider, if we do a task like this again, is to standardize the format used to collect this data as each sheet in the Google spreadhseet had slightly different formats, which made it more difficult to work with and analyze the results.

[
    {
        "Template:مقالة_غير_مراجعة": "20527"
    },
    {
        "Template:مصدر": "113554"
    },
    {
        "Template:تدقيق_لغوي": "474"
    },
    {
        "Template:إعادة_كتابة": "668"
    },
    {
        "Template:دمج": "347"
    },
    {
        "Template:بدون_نص_نثري": "1"
    },
    {
        "Template:نهاية_مسدودة": "1822"
    },
    {
        "Template:ترجمة_آلية": "610"
    },
    {
        "Template:تعظيم": "437"
    },
    {
        "Template:تدقيق_لغوي": "474"
    },
    {
        "Template:تعظيم": "437"
    },
    {
        "Template:تنسيق": "200"
    },
    {
        "Template:طويلة_جدا": "6"
    },
    {
        "Template:نثر": "6"
    },
    {
        "Template:وصلات_حمراء": "19"
    },
    {
        "Template:وصلات_خارجية": "27"
    },
    {
        "Template:إعادة_كتابة": "668"
    },
    {
        "Template:إعادة_كتابة_مقدمة": "14"
    },
    {
        "Template:بدون_مقدمة": "15"
    },
    {
        "Template:بدون_نص_نثري": "1"
    },
    {
        "Template:بذرة_غير_مصنفة": "399"
    },
    {
        "Template:تحديث": "699"
    },
    {
        "Template:تحرر": "3"
    },
    {
        "Template:تحيز": "248"
    },
    {
        "Template:تدقيق_سيرة": "67"
    },
    {
        "Template:تدقيق_علمي": "878"
    },
    {
        "Template:ترجمة_آلية": "610"
    },
    {
        "Template:تعارض_مصالح": "11"
    },
    {
        "Template:توافه": "6"
    },
    {
        "Template:توسيع": "135"
    },
    {
        "Template:خرق": "2"
    },
    {
        "Template:دمج": "347"
    },
    {
        "Template:دمج_إلى": "18"
    },
    {
        "Template:دمج_من": "5"
    },
    {
        "Template:سياق": "9"
    },
    {
        "Template:سياق_محلي": "13"
    },
    {
        "Template:سيرة_شخصية_غير_موثقة": "2984"
    },
    {
        "Template:غير_مصنفة": "256"
    },
    {
        "Template:لا_علاقة_بالمقال": "0"
    },
    {
        "Template:مربكة": "13"
    },
    {
        "Template:مصادر_أكثر": "11031"
    },
    {
        "Template:مصدر": "113554"
    },
    {
        "Template:مقالة_غير_مراجعة": "20527"
    },
    {
        "Template:مقدمة_طويلة": "9"
    },
    {
        "Template:مقدمة_قصيرة": "15"
    },
    {
        "Template:ملحوظية": "421"
    },
    {
        "Template:ملحوظية_كتاب": "2"
    },
    {
        "Template:موضوع_اختصاصي": "153"
    },
    {
        "Template:هوامش": "148"
    },
    {
        "Template:هوامش_مقطع": "10"
    },
    {
        "Template:وجهة_نظر_معجب": "28"
    },
    {
        "Template:يتيمة": "374949"
    },
    {
        "Template:وفاة_حديثة": "18"
    },
    {
        "Template:كوائف": "0"
    },
    {
        "Template:ليست": "3"
    },
    {
        "Template:مجلة": "3"
    },
    {
        "Template:ترجمة": "856"
    },
    {
        "Template:في_ترجمة": "0"
    },
    {
        "Template:كلمة_بكلمة": "1"
    },
    {
        "Template:تحيز": "248"
    },
    {
        "Template:تحيز_عنوان": "1"
    },
    {
        "Template:مقطع_منحاز": "53"
    },
    {
        "Template:دعاية": "6"
    },
    {
        "Template:مبهم": "1"
    },
    {
        "Template:مراوغة": "4"
    },
    {
        "Template:من_من": "23"
    },
    {
        "Template:من؟": "83"
    },
    {
        "Template:بحاجة_لمصدر": "6246"
    },
    {
        "Template:مصدر_ناقص": "28"
    },
    {
        "Template:تأكيد_مصدر": "118"
    },
    {
        "Template:تأكيد_رأي": "180"
    },
    {
        "Template:مصادر_أولية": "57"
    },
    {
        "Template:دقة": "109"
    },
    {
        "Template:عبارة_مبهمة": "12"
    },
    {
        "Template:كذب": "1"
    },
    {
        "Template:صورة_مخالفة": "0"
    },
    {
        "Template:صحة_صورة": "0"
    }
]
[
    {
        "Template:Aktualizovat": "1370"
    },
    {
        "Template:Aktualizovat_po": "41"
    },
    {
        "Template:Celkově_zpochybněno": "96"
    },
    {
        "Template:Globalizovat": "327"
    },
    {
        "Template:Kapitoly": "9"
    },
    {
        "Template:Kategorizovat": "43"
    },
    {
        "Template:Neověřeno": "8529"
    },
    {
        "Template:NPOV": "247"
    },
    {
        "Template:Popsat_obrázky": "20"
    },
    {
        "Template:Pravopis": "365"
    },
    {
        "Template:Přesnost": "178"
    },
    {
        "Template:Převést_seznam_na_kategorii": "0"
    },
    {
        "Template:Upravit_reference": "92"
    },
    {
        "Template:Reklama": "277"
    },
    {
        "Template:Sloh": "347"
    },
    {
        "Template:Transkripce": "334"
    },
    {
        "Template:Vlastní_výzkum": "209"
    },
    {
        "Template:Wikifikovat": "24"
    },
    {
        "Template:Upravit": "10071"
    },
    {
        "Template:Zaplnit_kategorii": "0"
    },
    {
        "Template:Zastaralá_kategorie": "0"
    },
    {
        "Template:Seřadit_kategorii": "0"
    },
    {
        "Template:Doplňte_zdroj": "9360"
    },
    {
        "Template:Fakt": "11"
    },
    {
        "Template:Nedostupný_zdroj": "2824"
    },
    {
        "Template:Upravit_externí_odkazy": "86"
    },
    {
        "Template:Čí?": "10"
    },
    {
        "Template:Jakou?": "1"
    },
    {
        "Template:Jaký?": "15"
    },
    {
        "Template:Kde?": "90"
    },
    {
        "Template:Kdo?": "382"
    },
    {
        "Template:Kdy?": "1231"
    },
    {
        "Template:Která?": "1"
    },
    {
        "Template:Které?": "3"
    },
    {
        "Template:Který?": "14"
    },
    {
        "Template:Kým?": "112"
    },
    {
        "Template:Chybí_jednotka": "0"
    },
    {
        "Template:Nejisté_datum": "2054"
    },
    {
        "Template:Nepřesný_odkaz": "31"
    },
    {
        "Template:Ujasnit": "106"
    },
    {
        "Template:Subpahýl": "16"
    },
    {
        "Template:Přeložit": "3"
    },
    {
        "Template:Urgentně_upravit": "18"
    },
    {
        "Template:Urgentně_ověřit": "3"
    },
    {
        "Template:Významnost": "40"
    }
]
[
    {
        "Template:중립_필요": "437"
    },
    {
        "Template:이해당사자": "263"
    },
    {
        "Template:사실_여부_의심": "423"
    },
    {
        "Template:독자_연구": "77"
    },
    {
        "Template:모호한_글": "10"
    },
    {
        "Template:출처_필요": "13295"
    },
    {
        "Template:각주_부족": "21"
    },
    {
        "Template:과도한_인용": "1"
    },
    {
        "Template:단일_출처": "4"
    },
    {
        "Template:문서_등재_기준": "378"
    },
    {
        "Template:저작권_의심": "60"
    },
    {
        "Template:1차_자료": "39"
    },
    {
        "Template:시간모호": "0"
    },
    {
        "Template:광고": "9"
    },
    {
        "Template:번역_직후": "0"
    },
    {
        "Template:구독_필요": "108"
    },
    {
        "Template:등록_필요": "4"
    },
    {
        "Template:사실_여부_의심": "423"
    },
    {
        "Template:개인_출판": "0"
    },
    {
        "Template:모호한_글": "10"
    },
    {
        "Template:어조": "9"
    },
    {
        "Template:이해당사자": "263"
    },
    {
        "Template:중립_필요": "437"
    },
    {
        "Template:기계_번역": "95"
    },
    {
        "Template:번역_정리_필요": "0"
    },
    {
        "Template:번역_중": "265"
    },
    {
        "Template:번역_직후": "0"
    },
    {
        "Template:번역_필요": "29"
    },
    {
        "Template:병합_출발지": "17"
    },
    {
        "Template:병합_도착지": "7"
    },
    {
        "Template:병합_필요": "28"
    },
    {
        "Template:분할_필요": "2"
    },
    {
        "Template:세계화": "444"
    },
    {
        "Template:낡음": "277"
    },
    {
        "Template:불확실": "1670"
    },
    {
        "Template:위키낱말사전으로_이동_필요": "3"
    },
    {
        "Template:위키문헌으로_이동_필요": "2"
    },
    {
        "Template:위키생물종으로_이동_필요": "0"
    },
    {
        "Template:위키인용집으로_이동_필요": "0"
    },
    {
        "Template:위키책으로_이동_필요": "1"
    },
    {
        "Template:무단_복사": "2"
    },
    {
        "Template:저작권_의심": "60"
    },
    {
        "Template:정리_필요": "96"
    },
    {
        "Template:외부_링크": "10"
    },
    {
        "Template:문단_필요": "0"
    },
    {
        "Template:도입부_요약_필요": "1"
    },
    {
        "Template:도입부_정리_필요": "0"
    },
    {
        "Template:낡음": "277"
    },
    {
        "Template:불확실": "1670"
    },
    {
        "Template:최근에_죽은_사람": "1"
    },
    {
        "Template:최신": "11"
    },
    {
        "Template:사진_필요": "10"
    },
    {
        "Template:빈_문단": "12848"
    },
    {
        "Template:전문가_필요": "137"
    }
]
MMiller_WMF closed this task as Resolved.Sep 11 2019, 1:01 AM

This task is complete because we have listed all the maintenance templates and categories we need for now, and have the counts to determine which ones to use. That list is specified on T232423.

Trizek-WMF reopened this task as Open.Oct 17 2019, 8:48 AM
Trizek-WMF claimed this task.
Trizek-WMF added a subscriber: kostajh.

Re-opening since we have a new sub-task.

Trizek-WMF closed this task as Resolved.Thu, Nov 7, 11:04 AM

All sub-tasks done.